Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.error
Class ErrorDocument

    java.lang.Object
      org.jasig.portal.channels.error.ErrorDocument

    public class ErrorDocument

extends java.lang.Object

Represents an error renderable by CError.

Since:
  uPortal 2.5
Version:
  $Revision: 1.3 $ $Date: 2005/04/17 20:53:29 $
Author:
  andrew.petro@yale.edu

Field Summary
`private java.lang.String` | `channelName` The name of the channel the error state of which this object instance represents.
`private java.lang.String` | `channelSubscribeId` Identifies the channel the error state of which this object instance represents.
`private ErrorCode` | `code` The error code to be presented in the document.
`private java.lang.String` | `message` A message about the error represented by this instance.
`private java.lang.Throwable` | `throwable` A Throwable which was or caused the error represented by this instance.
`private IThrowableToElement` | `throwableToElement` Translator from Throwable to Element of our XML production.

Constructor Summary
`ErrorDocument()`

Method Summary
`java.lang.String` | `getChannelName()`
`java.lang.String` | `getChannelSubscribeId()`
`ErrorCode` | `getCode()`
`org.w3c.dom.Document` | `getDocument()` Get a Document representing the Throwable.
`java.lang.String` | `getMessage()`
`java.lang.Throwable` | `getThrowable()`
`IThrowableToElement` | `getThrowableToElement()`
`void` | `setChannelName(java.lang.String channelName)`
`void` | `setChannelSubscribeId(java.lang.String channelSubscribeId)`
`void` | `setCode(ErrorCode code)`
`void` | `setMessage(java.lang.String message)`
`void` | `setThrowable(java.lang.Throwable throwable)`
`void` | `setThrowableToElement(IThrowableToElement throwableToElement)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### throwable

    private java.lang.Throwable throwable

  A Throwable which was or caused the error represented by this instance.

### message

    private java.lang.String message

  A message about the error represented by this instance.

### channelSubscribeId

    private java.lang.String channelSubscribeId

  Identifies the channel the error state of which this object instance represents.

### channelName

    private java.lang.String channelName

  The name of the channel the error state of which this object instance represents.

### code

    private ErrorCode code

  The error code to be presented in the document.

### throwableToElement

    private IThrowableToElement throwableToElement

  Translator from Throwable to Element of our XML production. Here we instantiate a default, but this can be overridden.

Constructor Detail

### ErrorDocument

    public ErrorDocument()

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument()

  Get a Document representing the Throwable.

  Returns:
    a Document representing the Throwable.

### getChannelName

    public java.lang.String getChannelName()

  Returns:
    Returns the channelName.

### setChannelName

    public void setChannelName(java.lang.String channelName)

  Parameters:
    `channelName` - The channelName to set.

### getChannelSubscribeId

    public java.lang.String getChannelSubscribeId()

  Returns:
    Returns the channelSubscribeId.

### setChannelSubscribeId

    public void setChannelSubscribeId(java.lang.String channelSubscribeId)

  Parameters:
    `channelSubscribeId` - The channelSubscribeId to set.

### getCode

    public ErrorCode getCode()

  Returns:
    Returns the code.

### setCode

    public void setCode(ErrorCode code)

  Parameters:
    `code` - The code to set.

### getMessage

    public java.lang.String getMessage()

  Returns:
    Returns the message.

### setMessage

    public void setMessage(java.lang.String message)

  Parameters:
    `message` - The message to set.

### getThrowable

    public java.lang.Throwable getThrowable()

  Returns:
    Returns the throwable.

### setThrowable

    public void setThrowable(java.lang.Throwable throwable)

  Parameters:
    `throwable` - The throwable to set.

### getThrowableToElement

    public IThrowableToElement getThrowableToElement()

  Returns:
    Returns the throwableToElement.

### setThrowableToElement

    public void setThrowableToElement(IThrowableToElement throwableToElement)

  Parameters:
    `throwableToElement` - The throwableToElement to set.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD